* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --green-500: hsl(158, 36%, 37%);
  --green-700: hsl(158, 42%, 18%);
  --black: hsl(212, 21%, 14%);
  --grey: hsl(228, 12%, 48%);
  --cream: hsl(30, 38%, 92%);
  --white: hsl(0, 0%, 100%);
}

footer {
  display: none;
}

.product-image-container img {
  width: min(100%, 600px);
  height: auto;
  object-fit: cover;
}

body {
  font-family: 'Montserrat', sans-serif;
  font-weight: 500;
  background-color: var(--cream);
  display: grid;
  place-items: center;
  min-height: 100vh;
  padding: clamp(1rem, 2vw, 2.5rem);
  margin: 0;
}

.product-card {
  background-color: var(--white);
  display: flex;
  flex-direction: column;
  border-radius: clamp(0.5rem, 1vw, 1rem);
  overflow: hidden;
  width: min(100%, 600px);
  height: auto;
}


.card-content {
  padding: clamp(2rem, 3vw, 2.5rem);
  display: flex;
  flex-direction: column;
  gap: clamp(1.25rem, 3vw, 2rem);
}

.card-content .product-category {
 color: var(--grey);
 text-transform: uppercase;
 font-size: clamp(0.625rem, 1vw, 0.75rem);
 padding-left: clamp(-0.5rem, 1vw, -1rem);
 letter-spacing: 0.5em;
 font-weight: 700;
}

.card-content .product-name {
  font-weight: 700;
  font-family: 'Fraunces', serif;
  font-size: clamp(2rem, 3vw, 2.25rem);
  color: var(--black);
}

.product-description p {
  color: var(--grey);
  font-size: clamp(1rem, 2vw, 1.25rem);
  line-height: 1.5;
}

.card-content .price {
  display: flex;
  align-items: center;
  gap: clamp(1rem, 2vw, 1.5rem);
}

.price .current-price {
  font-family: 'Montserrat', sans-serif;
  font-size: clamp(2rem, 3vw, 2.5rem);
  color: var(--green-500);
  font-weight: 700;
}

.price .old-price {
  color: var(--grey);
  text-decoration: line-through;
  font-size: clamp(1rem, 2vw, 1.20rem);
}

.add-to-cart {
  background-color: var(--green-500);
  color: var(--white);
  border-radius: clamp(0.5rem, 1vw, 1rem);
  padding-block: clamp(1.25rem, 2vw, 2.5rem);
  padding-inline: clamp(1.25rem, 2vw, 2rem);
  font-size: clamp(0.80rem, 1vw, 1.20rem);
  font-weight: 700;
  border: none;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  gap: clamp(0.5rem, 1vw, 1rem);
  transition: background-color 0.3s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
  .add-to-cart {
    transition: none;
  }
}

.add-to-cart:hover {
  background-color: var(--green-700);
  transition: background-color 0.3s ease-in-out;
}

@media (min-width: 768px) {
.product-card {
  flex-direction: row;
  display: flex;
  width: min(100%, 600px);
  border-radius: clamp(0.5rem, 1vw, 1rem);
  overflow: hidden;
}
  .product-image-container, .card-content {
    width: 50%;
    flex: 1;
  }

  .product-image-container img {
    height: calc(100% + 2rem);
    width: min(100%, 600px);
    display: block;
    object-fit: cover;
  }

  .card-content {
    padding: clamp(1.25rem, 2vw, 2.5rem);
  }

  .add-to-cart {
    padding-block: clamp(1.25rem, 2vw, 2.5rem);
    padding-inline: clamp(1.25rem, 2vw, 2rem);
    font-size: clamp(0.80rem, 1vw, 1.20rem);
  }
}
